Subject: Re: [OSPF] FW: Forwarding address set for type-5

From: "Acee Lindem (acee)" <[email-masked]>
Date: Wed, 13 Jul 2016 11:45:50 +0000

Hi Radha,
The forwarding address (next-hop) for an AS-External LSA may be advertised if it is reachable via an OSPF inter-area or intra-area route. You included connected routes  in your question and this is not necessarily correct since a connected route will only be accessible to other OSPF routers in the domain if it is advertised in OSPF. For NSSA LSAs, the next-hop should be reachable via an intra-area route in the NSSA.

Some implementations limit the advertising to the case where the next-hop is on a multi-access network.

Hope this helps,
Acee

From: OSPF <[email-masked]<mailto:[email-masked]>> on behalf of Radha Danda <[email-masked]<mailto:[email-masked]>>
Date: Wednesday, July 13, 2016 at 7:15 AM
To: OSPF WG List <[email-masked]<mailto:[email-masked]>>
Subject: [OSPF] FW: Forwarding address set for type-5

Hi All,

I need clarification on setting the Forwarding address set for type-5 LSA. As per RFC 2328 it is not obviously mentioned anywhere that the forwarding address can be set to connected, inter-area or intra-area routers but in the section 16.4 (Calculating AS external routes) it is mentioned that the forwarding address can be set to inter-area or intra-area as well. Snippet from the RFC is provided below for quick reference. Can you please confirm if the forwarding address can be set to ospf connected, inter-area or intra-area route while generating external LSA. Thanks.

**********************************
If the forwarding address is non-zero, look up the
            forwarding address in the routing table.[24] The matching
            routing table entry must specify an intra-area or inter-area
            path; if no such path exists, do nothing with the LSA and
            consider the next in the list.
******************************

Best Regards,
Radha

---

From: Radha Danda <[email-masked]>
Date: Wed, 13 Jul 2016 12:25:04 +0000

Thank you Acee

Best Regards ,
Radha

-------- Original message --------
From: "Acee Lindem (acee)"
Date:13/07/2016 5:15 PM (GMT+05:30)
To: Radha Danda , [email-masked]
Subject: Re: [OSPF] FW: Forwarding address set for type-5

Hi Radha,

Hope this helps,
Acee

Hi All,

Best Regards,
Radha